Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3Shared Class Reference

The QShared class is used internally for implementing shared classes. More...

    #include <Q3Shared>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

- List of all members, including inherited members

### Public Functions

- Q3Shared ()
- bool deref ()
- void ref ()

## Detailed Description

The QShared class is used internally for implementing shared classes.

Use QSharedData and QSharedDataPointer instead.

## Member Function Documentation

### Q3Shared::Q3Shared ()

Constructs a Q3Shared object with a reference count of 1.

### bool Q3Shared::deref ()

### void Q3Shared::ref ()